petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCUDAPlaceArray

Allows one to replace the GPU array in a vector with a GPU array provided by the user. This is useful to avoid copying an array into a vector.

### Synopsis

    PetscErrorCode VecCUDAPlaceArray(Vec vin,PetscScalar *a)

Not Collective Many br

### Input Parameters

| vec | - the vector Many br
| array | - the GPU array Many br

### Notes

You can return to the original GPU array with a call to VecCUDAResetArray() Many brIt is not possible to use VecCUDAPlaceArray() and VecPlaceArray() at the Many brsame time on the same vector. Many br

Many br

### See Also

VecPlaceArray(), VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecResetArray(), VecCUDAResetArray(), VecCUDAReplaceArray()

Level:developer
Location:src/vec/vec/impls/seq/seqcuda/veccuda2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages